PAGE 60,132
TITLE RESETKBD.ASM - Clear Num Lock, Scroll Lock, Caps Lock

COMMENT *

	  Some programs leave the Num Lock, the Scroll Lock and/or
	  the Caps Lock set.  This little program will reset them
	  all.

	  Lew Paper
	  7/30/85
	  *

DATA	  SEGMENT AT 40H

	  ORG	 17H
KB_FLAG   LABEL  BYTE		       ;First keyboard status byte

DATA	  ENDS

CODE	  SEGMENT BYTE PUBLIC
	  ASSUME CS:CODE, DS:CODE, ES:DATA

	  ORG	 100H

RESETKBD  PROC
	  MOV	 AX,DATA	       ;Set up extra segment
	  MOV	 ES,AX
	  MOV	 AH,ES:KB_FLAG	       ;Get first keyboard status byte
	  AND	 AH,8FH 	       ;Clear keyboard locks in bytes 6-4
	  MOV	 ES:KB_FLAG,AH	       ;Restore first keyborad status byte
	  MOV	 AX,900H	       ;Print string flag
	  MOV	 DX,OFFSET MESS        ;Offset for print string
	  INT	 21H		       ;Print string
	  INT	 20H		       ;Exit

MESS	  DB	 13,10,"Num Lock, Scroll Lock and Caps Lock Cleared",13,10,"$"

RESETKBD  ENDP

CODE	  ENDS

	  END	 RESETKBD
